Package: org.grails.taglib.encoder

## [Java] Interface OutputContext

- Created by lari on 02/01/15.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `AbstractTemplateVariableBinding` | `createAndRegisterRootBinding()`
    `AbstractTemplateVariableBinding` | `getBinding()`
    `OutputEncodingStack` | `getCurrentOutputEncodingStack()`
    `java.io.Writer` | `getCurrentWriter()`
    `EncodingStateRegistry` | `getEncodingStateRegistry()`
    `GrailsApplication` | `getGrailsApplication()`
    `boolean` | `isContentTypeAlreadySet()`
    `void` | `setBinding(AbstractTemplateVariableBinding binding)`
    `void` | `setContentType(java.lang.String contentType)`
    `void` | `setCurrentOutputEncodingStack(OutputEncodingStack outputEncodingStack)`
    `void` | `setCurrentWriter(java.io.Writer writer)`

- - ### Method Detail

    - #### public AbstractTemplateVariableBinding createAndRegisterRootBinding()

    - #### public AbstractTemplateVariableBinding getBinding()

    - #### public OutputEncodingStack getCurrentOutputEncodingStack()

    - #### public java.io.Writer getCurrentWriter()

    - #### public EncodingStateRegistry getEncodingStateRegistry()

    - #### public GrailsApplication getGrailsApplication()

    - #### public boolean isContentTypeAlreadySet()

    - #### public void setBinding(AbstractTemplateVariableBinding binding)

    - #### public void setContentType(java.lang.String contentType)

    - #### public void setCurrentOutputEncodingStack(OutputEncodingStack outputEncodingStack)

    - #### public void setCurrentWriter(java.io.Writer writer)